# Tiny Components - Slider

Created with [Riot.js](https://riot.js.org)

Handle UI of Slider by using [Plain-UI](https://plain-ui.com)

Swipe is handle by [HammerJS](https://hammerjs.github.io/)

Source: [https://gitea.node001.net/tiny-components/raw](https://gitea.node001.net/tiny-components/raw)
Mirror: [https://github.com/node001-net/tiny-components-raw](https://github.com/node001-net/tiny-components-raw)

## Installation

Setup this registry in your project .npmrc file:

```
@tiny-components:registry=https://gitea.node001.net/api/packages/tiny-components/npm/
```

Install with npm or yarn

```
npm i --save @tiny-components/slider
yarn add @tiny-components/slider
```

# Using

```
<tiny-slider></tiny-slider>

<script defer>
    window.addEventListener('DOMContentLoaded', (event) => {
        riot.mount('tiny-slider', {
            'slides': [{
                'title': 'keel topgallant belay spirits',
                'content': 'Knave Cat o\'nine tails pirate Sink me me coffer to go on account take a caulk sloop fire in the hole. List clap of thunder parrel dance the hempen jig bilge water Brethren of the Coast Sail'
            }, {
                'title': 'Jack Ketch take a caulk',
                'content': 'parley lass. Heave down belaying pin Pirate Round Shiver me timbers heave to mutiny pirate jury mast Jolly Roger ye. Tender bilge draft sloop take a caulk crow\'s nest prow grog blossom holystone trysail.'
            }]
        })
    })
</script>
```

# Customize

Extends your Component with mixin.js.

```
<your-slider>
    <div class="your-slider">
        // your markup
    </div>

    <script>

        // mixin
        import sliderMixin from '@tiny-components/slider/src/mixin.js'

        export default () => {
            return {

                ...sliderMixin

            }
        }
    </script>

</your-slider>
```
