import * as riot from 'riot'
import Slider from './slider.riot'

riot.register('tiny-slider', Slider)

/**
 * Convert object attributes constructs into strings
 *
 * @param   {Object} attributes - style attributes as object
 * @returns {string} a string with all the attributes and their values
 */
function styles(attributes) {
    return Object.entries(attributes).reduce((acc, item) => {
        const [key, value] = item;
        return [...acc, `${key}: ${value}`];
    }, []).join(';');
}

riot.install(function(component) {
    component.styles = styles
    return component
})

window.riot = riot
